Bug 253317 - Edit connection dialog blocks plasma
Summary: Edit connection dialog blocks plasma
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: Plasma Widget (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-05 15:42 UTC by Eckhart Wörner
Modified: 2011-07-19 13:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: master,nm09


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eckhart Wörner 2010-10-05 15:42:45 UTC
Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

As long as the edit connection dialog is open, one cannot interact with the plasma desktop.

Reproducible: Always

Steps to Reproduce:
1) Open the networkmanagement plasmoid settings
2) Click "Add..."
3) Try to interact with Plasma Desktop

Actual Results:  
Interaction with the Desktop is not possible

Expected Results:  
Interaction with the Desktop is possible
Comment 1 Jirka Klimes 2011-03-15 17:28:30 UTC
Is it still an issue with newer versions?

All behaves for me on Fedora 14 with latest packages (I can interact with plasma).
Comment 2 Eckhart Wörner 2011-05-14 14:34:25 UTC
Still an issue with plasma-widget-networkmanagement/0.9~svngit20110408-0ubuntu2
Comment 3 Ilia Kats 2011-07-19 12:26:34 UTC
Git commit 0ff348e0bac4419063caf9d726483090c6c15335 by Ilia Kats.
Committed on 19/07/2011 at 14:17.
Pushed by iliakats into branch 'nm09'.

make connection editor window modal instead of application modal.

BUG: 253317

M  +9    -4    libs/ui/connectioneditor.cpp
M  +1    -1    plasma_nm_version.h

http://commits.kde.org/networkmanagement/0ff348e0bac4419063caf9d726483090c6c15335
Comment 4 Ilia Kats 2011-07-19 13:17:36 UTC
Git commit a64957719edd76ed8cd49b0d83464741ac5b6ca9 by Ilia Kats.
Committed on 19/07/2011 at 14:17.
Pushed by iliakats into branch 'master'.

make connection editor window modal instead of application modal.

BUG: 253317
(cherry picked from commit 0ff348e0bac4419063caf9d726483090c6c15335)

Conflicts:

	plasma_nm_version.h

M  +9    -4    libs/ui/connectioneditor.cpp

http://commits.kde.org/networkmanagement/a64957719edd76ed8cd49b0d83464741ac5b6ca9